Bug 219275 - [exp-run] Update GCC_DEFAULT from 5 to 6
Summary: [exp-run] Update GCC_DEFAULT from 5 to 6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Gerald Pfeifer
URL:
Keywords:
Depends on: 217001 217002 217005 217008 219279 219280 219281 219283 219284 219287 219288 219290 219291 219292 219293 219294 219295 219296 219297 219298 219299 219300 219483 219484 219485 219486 219487 219488 219489 219490 221065
Blocks: 193528 222542
  Show dependency treegraph
 
Reported: 2017-05-14 13:58 UTC by Gerald Pfeifer
Modified: 2017-09-24 13:30 UTC (History)
5 users (show)

See Also:
gerald: exp-run?


Attachments
Proposed patch updating from GCC 5 to GCC 6 as default (423 bytes, patch)
2017-05-14 13:58 UTC, Gerald Pfeifer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald Pfeifer freebsd_committer 2017-05-14 13:58:08 UTC
Created attachment 182591 [details]
Proposed patch updating from GCC 5 to GCC 6 as default

Now that GCC_DEFAULT no longer goes hand-in-hands with lang/gcc directly,
but uses the lang/gcc{49,5,6,...} ports, updating the default has become
a one-line change.

This is an important update since GCC 6 has addressed some issues hurting
FreeBSD users, GCC 5 likely will go end-of-life soon.  And the update to
GCC 5 has resulted in no real reports of issues at all!

Still, outfall due to broken ports is possible, if not likely, so an
exp-run seems in order.
Comment 1 Jan Beich freebsd_committer 2017-05-14 14:17:22 UTC
Oops, blockers are only ports with USE_GCC on Tier1 archs.
Comment 2 commit-hook freebsd_committer 2017-05-14 18:31:31 UTC
A commit references this bug:

Author: jbeich
Date: Sun May 14 18:30:38 UTC 2017
New revision: 440885
URL: https://svnweb.freebsd.org/changeset/ports/440885

Log:
  databases/gigabase: work around GCC >= 6 bustage

  testtimeseries.cpp: In function 'float fmax(float, float)':
  testtimeseries.cpp:50:35: error: 'float fmax(float, float)' conflicts with a previous declaration
   inline float fmax(float x, float y) { return x > y ? x : y; }
                                     ^
  In file included from /usr/local/lib/gcc6/include/c++/math.h:36:0,
                   from testtimeseries.cpp:15:
  /usr/local/lib/gcc6/include/c++/cmath:1452:3: note: previous declaration 'constexpr float std::fmax(float, float)'
     fmax(float __x, float __y)
     ^~~~
  testtimeseries.cpp: In function 'float fmin(float, float)':
  testtimeseries.cpp:51:35: error: 'float fmin(float, float)' conflicts with a previous declaration
   inline float fmin(float x, float y) { return x < y ? x : y; }
                                     ^
  In file included from /usr/local/lib/gcc6/include/c++/math.h:36:0,
                   from testtimeseries.cpp:15:
  /usr/local/lib/gcc6/include/c++/cmath:1472:3: note: previous declaration 'constexpr float std::fmin(float, float)'
     fmin(float __x, float __y)
     ^~~~
  testtimeseries.cpp: In function 'int main(int, char**)':
  testtimeseries.cpp:69:54: error: call of overloaded 'fmax(float&, float&)' is ambiguous
               quote.high = fmax(quote.open, quote.close);
                                                        ^
  In file included from /usr/local/lib/gcc6/include/c++/cmath:45:0,
                   from /usr/local/lib/gcc6/include/c++/math.h:36,
                   from testtimeseries.cpp:15:
  /usr/include/math.h:309:8: note: candidate: double fmax(double, double)
   double fmax(double, double) __pure2;
          ^~~~
  In file included from /usr/local/lib/gcc6/include/c++/math.h:36:0,
                   from testtimeseries.cpp:15:
  /usr/local/lib/gcc6/include/c++/cmath:1463:5: note: candidate: constexpr typename __gnu_cxx::__promote_2<_Tp, _Up>::__type std::fmax(_Tp, _Up) [with _Tp = float; _Up = float; typename __gnu_cxx::__promote_2<_Tp, _Up>::__type = float]
       fmax(_Tp __x, _Up __y)
       ^~~~
  /usr/local/lib/gcc6/include/c++/cmath:1456:3: note: candidate: constexpr long double std::fmax(long double, long double)
     fmax(long double __x, long double __y)
     ^~~~
  /usr/local/lib/gcc6/include/c++/cmath:1452:3: note: candidate: constexpr float std::fmax(float, float)
     fmax(float __x, float __y)
     ^~~~
  testtimeseries.cpp:50:14: note: candidate: float fmax(float, float)
   inline float fmax(float x, float y) { return x > y ? x : y; }
                ^~~~
  testtimeseries.cpp:70:53: error: call of overloaded 'fmin(float&, float&)' is ambiguous
               quote.low = fmin(quote.open, quote.close);
                                                       ^
  In file included from /usr/local/lib/gcc6/include/c++/cmath:45:0,
                   from /usr/local/lib/gcc6/include/c++/math.h:36,
                   from testtimeseries.cpp:15:
  /usr/include/math.h:310:8: note: candidate: double fmin(double, double)
   double fmin(double, double) __pure2;
          ^~~~
  In file included from /usr/local/lib/gcc6/include/c++/math.h:36:0,
                   from testtimeseries.cpp:15:
  /usr/local/lib/gcc6/include/c++/cmath:1483:5: note: candidate: constexpr typename __gnu_cxx::__promote_2<_Tp, _Up>::__type std::fmin(_Tp, _Up) [with _Tp = float; _Up = float; typename __gnu_cxx::__promote_2<_Tp, _Up>::__type = float]
       fmin(_Tp __x, _Up __y)
       ^~~~
  /usr/local/lib/gcc6/include/c++/cmath:1476:3: note: candidate: constexpr long double std::fmin(long double, long double)
     fmin(long double __x, long double __y)
     ^~~~
  /usr/local/lib/gcc6/include/c++/cmath:1472:3: note: candidate: constexpr float std::fmin(float, float)
     fmin(float __x, float __y)
     ^~~~
  testtimeseries.cpp:51:14: note: candidate: float fmin(float, float)
   inline float fmin(float x, float y) { return x < y ? x : y; }
                ^~~~

  PR:		219275

Changes:
  head/databases/gigabase/Makefile
Comment 3 Jan Beich freebsd_committer 2017-05-14 22:43:47 UTC
Here are ports if not rescued are going to be BROKEN + unmaintained = DEPRECATED. I'll try to fix some.

cad/alliance	      - http://sprunge.us/jjKQ
mail/annoyance-filter - http://sprunge.us/BTHa
databases/fastdb      - http://sprunge.us/igah
astro/gpstk	      - http://sprunge.us/KEHQ
emulators/pearpc      - http://sprunge.us/hFHL
sysutils/pesign	      - http://sprunge.us/cjgH
benchmarks/polygraph  - http://sprunge.us/IVaT
devel/pwlib	      - http://sprunge.us/QCCf
devel/rhtvision       - http://sprunge.us/YaRE
Comment 4 Antoine Brodin freebsd_committer 2017-05-21 08:06:52 UTC
Exp-run results on 10.3 amd64:

http://package22.nyi.freebsd.org/build.html?mastername=103amd64-default-PR219275&build=2017-05-20_20h22m32s

New failures on 10.3 amd64:

+ {"origin"=>"astro/gpstk", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"benchmarks/polygraph", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"cad/alliance", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"cad/calculix", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"cad/freehdl", "phase"=>"build", "errortype"=>"new_compiler_error"}
+ {"origin"=>"cad/kicad", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"cad/openvsp", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"databases/fastdb", "phase"=>"build", "errortype"=>"new_compiler_error"}
+ {"origin"=>"devel/aegis", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/pwlib", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"devel/rhtvision", "phase"=>"build", "errortype"=>"new_compiler_error"}
+ {"origin"=>"emulators/pearpc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/critterding", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/openlierox", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/vavoom", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/wesnoth", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/animorph", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/cimg", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/gle-graphics", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/pfstmo", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/photivo", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"irc/ezbounce", "phase"=>"build", "errortype"=>"new_compiler_error"}
+ {"origin"=>"lang/cint", "phase"=>"build", "errortype"=>"new_compiler_error"}
+ {"origin"=>"lang/x10", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"mail/annoyance-filter", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"math/drgeo", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"math/octave", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"misc/rump", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"misc/seabios", "phase"=>"build", "errortype"=>"arch"}
+ {"origin"=>"multimedia/avidemux", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-p2p/verlihub-plugins-floodprotect", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net/mediatomb", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"science/gnudatalanguage", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"science/massxpert", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"security/clambc", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"sysutils/pesign", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"textproc/htmltolatex", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/anyterm", "phase"=>"build", "errortype"=>"clang"}

Around 100 new ports skipped, mainly due to math/octave

New failure logs on 10.3 amd64:

http://package22.nyi.freebsd.org/data/103amd64-default-PR219275/2017-05-20_20h22m32s/logs/errors/gpstk-2.5_2.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR219275/2017-05-20_20h22m32s/logs/errors/polygraph-4.9.0_3.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR219275/2017-05-20_20h22m32s/logs/errors/alliance-5.0.20120515_3.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR219275/2017-05-20_20h22m32s/logs/errors/CalculiX-2.11_3.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR219275/2017-05-20_20h22m32s/logs/errors/freehdl-0.0.7_3.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR219275/2017-05-20_20h22m32s/logs/errors/kicad-20140622.2.b4027_8,1.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR219275/2017-05-20_20h22m32s/logs/errors/openvsp-3.11.0_1.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR219275/2017-05-20_20h22m32s/logs/errors/fastdb-3.75_2.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR219275/2017-05-20_20h22m32s/logs/errors/aegis-4.25_5.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR219275/2017-05-20_20h22m32s/logs/errors/pwlib-1.12.0_12,1.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR219275/2017-05-20_20h22m32s/logs/errors/rhtvision-2.2.1.1_4.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR219275/2017-05-20_20h22m32s/logs/errors/pearpc-0.5_4.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR219275/2017-05-20_20h22m32s/logs/errors/critterding-b12_11.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR219275/2017-05-20_20h22m32s/logs/errors/openlierox-0.58.r3_11,1.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR219275/2017-05-20_20h22m32s/logs/errors/vavoom-1.33_12.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR219275/2017-05-20_20h22m32s/logs/errors/wesnoth-1.12.6_3,1.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR219275/2017-05-20_20h22m32s/logs/errors/animorph-0.3_3.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR219275/2017-05-20_20h22m32s/logs/errors/cimg-1.7.9_5,3.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR219275/2017-05-20_20h22m32s/logs/errors/gle-graphics-4.2.4.c_7.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR219275/2017-05-20_20h22m32s/logs/errors/pfstmo-1.5_5.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR219275/2017-05-20_20h22m32s/logs/errors/photivo-0.0.2015.03.21_1.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR219275/2017-05-20_20h22m32s/logs/errors/ezbounce-1.99.15_6.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR219275/2017-05-20_20h22m32s/logs/errors/cint-5.18.00_4.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR219275/2017-05-20_20h22m32s/logs/errors/x10-2.2.1_5.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR219275/2017-05-20_20h22m32s/logs/errors/annoyance-filter-1.0d_4.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR219275/2017-05-20_20h22m32s/logs/errors/drgeo-1.1.0_19.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR219275/2017-05-20_20h22m32s/logs/errors/octave-4.0.3_3.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR219275/2017-05-20_20h22m32s/logs/errors/rump-20131213_2.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR219275/2017-05-20_20h22m32s/logs/errors/seabios-1.10.2.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR219275/2017-05-20_20h22m32s/logs/errors/avidemux-2.6.11_5.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR219275/2017-05-20_20h22m32s/logs/errors/verlihub-plugins-floodprotect-1.6_4.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR219275/2017-05-20_20h22m32s/logs/errors/mediatomb-0.12.1_17.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR219275/2017-05-20_20h22m32s/logs/errors/gnudatalanguage-0.9.7_3.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR219275/2017-05-20_20h22m32s/logs/errors/massxpert-3.4.0_7.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR219275/2017-05-20_20h22m32s/logs/errors/clambc-0.98.5.r1_2.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR219275/2017-05-20_20h22m32s/logs/errors/pesign-0.110_3.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR219275/2017-05-20_20h22m32s/logs/errors/htmltolatex-1_21.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR219275/2017-05-20_20h22m32s/logs/errors/anyterm-1.1.29_7.log
Comment 5 Antoine Brodin freebsd_committer 2017-05-21 08:11:12 UTC
Exp-run results on 10.3 i386:

http://package23.nyi.freebsd.org/build.html?mastername=103i386-default-PR219275&build=2017-05-20_20h22m29s

New failures on 10.3 i386:

+ {"origin"=>"astro/gpstk", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"benchmarks/polygraph", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"cad/alliance", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"cad/calculix", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"cad/freehdl", "phase"=>"build", "errortype"=>"new_compiler_error"}
+ {"origin"=>"cad/kicad", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"cad/openvsp", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"databases/fastdb", "phase"=>"build", "errortype"=>"new_compiler_error"}
+ {"origin"=>"devel/aegis", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/pwlib", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"devel/rhtvision", "phase"=>"build", "errortype"=>"new_compiler_error"}
+ {"origin"=>"emulators/pearpc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/critterding", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/openlierox", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/vavoom", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/wesnoth", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/animorph", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/cimg", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/gle-graphics", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/pfstmo", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/photivo", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"irc/ezbounce", "phase"=>"build", "errortype"=>"new_compiler_error"}
+ {"origin"=>"lang/cint", "phase"=>"build", "errortype"=>"new_compiler_error"}
+ {"origin"=>"lang/gprolog", "phase"=>"build", "errortype"=>"segfault"}
+ {"origin"=>"lang/x10", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"mail/annoyance-filter", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"math/drgeo", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"math/octave", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"misc/rump", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"multimedia/avidemux", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-p2p/verlihub-plugins-floodprotect", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net/mediatomb", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"science/gnudatalanguage", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"science/massxpert", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"security/clambc", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"sysutils/pesign", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"textproc/htmltolatex", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/anyterm", "phase"=>"build", "errortype"=>"clang"}

New failure logs on 10.3 i386:

http://package23.nyi.freebsd.org/data/103i386-default-PR219275/2017-05-20_20h22m29s/logs/errors/gpstk-2.5_2.log
http://package23.nyi.freebsd.org/data/103i386-default-PR219275/2017-05-20_20h22m29s/logs/errors/polygraph-4.9.0_3.log
http://package23.nyi.freebsd.org/data/103i386-default-PR219275/2017-05-20_20h22m29s/logs/errors/alliance-5.0.20120515_3.log
http://package23.nyi.freebsd.org/data/103i386-default-PR219275/2017-05-20_20h22m29s/logs/errors/CalculiX-2.11_3.log
http://package23.nyi.freebsd.org/data/103i386-default-PR219275/2017-05-20_20h22m29s/logs/errors/freehdl-0.0.7_3.log
http://package23.nyi.freebsd.org/data/103i386-default-PR219275/2017-05-20_20h22m29s/logs/errors/kicad-20140622.2.b4027_8,1.log
http://package23.nyi.freebsd.org/data/103i386-default-PR219275/2017-05-20_20h22m29s/logs/errors/openvsp-3.11.0_1.log
http://package23.nyi.freebsd.org/data/103i386-default-PR219275/2017-05-20_20h22m29s/logs/errors/fastdb-3.75_2.log
http://package23.nyi.freebsd.org/data/103i386-default-PR219275/2017-05-20_20h22m29s/logs/errors/aegis-4.25_5.log
http://package23.nyi.freebsd.org/data/103i386-default-PR219275/2017-05-20_20h22m29s/logs/errors/pwlib-1.12.0_12,1.log
http://package23.nyi.freebsd.org/data/103i386-default-PR219275/2017-05-20_20h22m29s/logs/errors/rhtvision-2.2.1.1_4.log
http://package23.nyi.freebsd.org/data/103i386-default-PR219275/2017-05-20_20h22m29s/logs/errors/pearpc-0.5_4.log
http://package23.nyi.freebsd.org/data/103i386-default-PR219275/2017-05-20_20h22m29s/logs/errors/critterding-b12_11.log
http://package23.nyi.freebsd.org/data/103i386-default-PR219275/2017-05-20_20h22m29s/logs/errors/openlierox-0.58.r3_11,1.log
http://package23.nyi.freebsd.org/data/103i386-default-PR219275/2017-05-20_20h22m29s/logs/errors/vavoom-1.33_12.log
http://package23.nyi.freebsd.org/data/103i386-default-PR219275/2017-05-20_20h22m29s/logs/errors/wesnoth-1.12.6_3,1.log
http://package23.nyi.freebsd.org/data/103i386-default-PR219275/2017-05-20_20h22m29s/logs/errors/animorph-0.3_3.log
http://package23.nyi.freebsd.org/data/103i386-default-PR219275/2017-05-20_20h22m29s/logs/errors/cimg-1.7.9_5,3.log
http://package23.nyi.freebsd.org/data/103i386-default-PR219275/2017-05-20_20h22m29s/logs/errors/gle-graphics-4.2.4.c_7.log
http://package23.nyi.freebsd.org/data/103i386-default-PR219275/2017-05-20_20h22m29s/logs/errors/pfstmo-1.5_5.log
http://package23.nyi.freebsd.org/data/103i386-default-PR219275/2017-05-20_20h22m29s/logs/errors/photivo-0.0.2015.03.21_1.log
http://package23.nyi.freebsd.org/data/103i386-default-PR219275/2017-05-20_20h22m29s/logs/errors/ezbounce-1.99.15_6.log
http://package23.nyi.freebsd.org/data/103i386-default-PR219275/2017-05-20_20h22m29s/logs/errors/cint-5.18.00_4.log
http://package23.nyi.freebsd.org/data/103i386-default-PR219275/2017-05-20_20h22m29s/logs/errors/gprolog-1.4.4_4.log
http://package23.nyi.freebsd.org/data/103i386-default-PR219275/2017-05-20_20h22m29s/logs/errors/x10-2.2.1_5.log
http://package23.nyi.freebsd.org/data/103i386-default-PR219275/2017-05-20_20h22m29s/logs/errors/annoyance-filter-1.0d_4.log
http://package23.nyi.freebsd.org/data/103i386-default-PR219275/2017-05-20_20h22m29s/logs/errors/drgeo-1.1.0_19.log
http://package23.nyi.freebsd.org/data/103i386-default-PR219275/2017-05-20_20h22m29s/logs/errors/octave-4.0.3_3.log
http://package23.nyi.freebsd.org/data/103i386-default-PR219275/2017-05-20_20h22m29s/logs/errors/rump-20131213_2.log
http://package23.nyi.freebsd.org/data/103i386-default-PR219275/2017-05-20_20h22m29s/logs/errors/avidemux-2.6.11_5.log
http://package23.nyi.freebsd.org/data/103i386-default-PR219275/2017-05-20_20h22m29s/logs/errors/verlihub-plugins-floodprotect-1.6_4.log
http://package23.nyi.freebsd.org/data/103i386-default-PR219275/2017-05-20_20h22m29s/logs/errors/mediatomb-0.12.1_17.log
http://package23.nyi.freebsd.org/data/103i386-default-PR219275/2017-05-20_20h22m29s/logs/errors/gnudatalanguage-0.9.7_3.log
http://package23.nyi.freebsd.org/data/103i386-default-PR219275/2017-05-20_20h22m29s/logs/errors/massxpert-3.4.0_7.log
http://package23.nyi.freebsd.org/data/103i386-default-PR219275/2017-05-20_20h22m29s/logs/errors/clambc-0.98.5.r1_2.log
http://package23.nyi.freebsd.org/data/103i386-default-PR219275/2017-05-20_20h22m29s/logs/errors/pesign-0.110_3.log
http://package23.nyi.freebsd.org/data/103i386-default-PR219275/2017-05-20_20h22m29s/logs/errors/htmltolatex-1_21.log
http://package23.nyi.freebsd.org/data/103i386-default-PR219275/2017-05-20_20h22m29s/logs/errors/anyterm-1.1.29_7.log
Comment 6 Gerald Pfeifer freebsd_committer 2017-05-21 12:16:46 UTC
Hi Jan, I know you failed a couple dozen PRs.  Will you be able
to help and sync that with the lists Antoine provided (pointing
out, or even filing, any missing ones?  That would be lovely.
Comment 7 Antoine Brodin freebsd_committer 2017-05-21 20:56:06 UTC
Exp-run results on 11.0 i386:

http://package23.nyi.freebsd.org/build.html?mastername=110i386-default-PR219275&build=2017-05-21_08h55m55s

New failures on 11.0 i386:

+ {"origin"=>"astro/gpstk", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"benchmarks/polygraph", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"cad/alliance", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"cad/calculix", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"cad/freehdl", "phase"=>"build", "errortype"=>"new_compiler_error"}
+ {"origin"=>"databases/fastdb", "phase"=>"build", "errortype"=>"new_compiler_error"}
+ {"origin"=>"devel/aegis", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/pwlib", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"devel/rhtvision", "phase"=>"build", "errortype"=>"new_compiler_error"}
+ {"origin"=>"emulators/pearpc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/critterding", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/openlierox", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/vavoom", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/animorph", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/gle-graphics", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/pfstmo", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"irc/ezbounce", "phase"=>"build", "errortype"=>"new_compiler_error"}
+ {"origin"=>"lang/cint", "phase"=>"build", "errortype"=>"new_compiler_error"}
+ {"origin"=>"lang/gprolog", "phase"=>"build", "errortype"=>"segfault"}
+ {"origin"=>"lang/x10", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"mail/annoyance-filter", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"math/drgeo", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"misc/rump", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"multimedia/avidemux", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-p2p/verlihub-plugins-floodprotect", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"science/gnudatalanguage", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"science/massxpert", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"security/clambc", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"sysutils/pesign", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"www/anyterm", "phase"=>"build", "errortype"=>"clang"}

New failure logs on 11.0 i386:

http://package23.nyi.freebsd.org/data/110i386-default-PR219275/2017-05-21_08h55m55s/logs/errors/gpstk-2.5_2.log
http://package23.nyi.freebsd.org/data/110i386-default-PR219275/2017-05-21_08h55m55s/logs/errors/polygraph-4.9.0_3.log
http://package23.nyi.freebsd.org/data/110i386-default-PR219275/2017-05-21_08h55m55s/logs/errors/alliance-5.0.20120515_3.log
http://package23.nyi.freebsd.org/data/110i386-default-PR219275/2017-05-21_08h55m55s/logs/errors/CalculiX-2.11_3.log
http://package23.nyi.freebsd.org/data/110i386-default-PR219275/2017-05-21_08h55m55s/logs/errors/freehdl-0.0.7_3.log
http://package23.nyi.freebsd.org/data/110i386-default-PR219275/2017-05-21_08h55m55s/logs/errors/fastdb-3.75_2.log
http://package23.nyi.freebsd.org/data/110i386-default-PR219275/2017-05-21_08h55m55s/logs/errors/aegis-4.25_5.log
http://package23.nyi.freebsd.org/data/110i386-default-PR219275/2017-05-21_08h55m55s/logs/errors/pwlib-1.12.0_12,1.log
http://package23.nyi.freebsd.org/data/110i386-default-PR219275/2017-05-21_08h55m55s/logs/errors/rhtvision-2.2.1.1_4.log
http://package23.nyi.freebsd.org/data/110i386-default-PR219275/2017-05-21_08h55m55s/logs/errors/pearpc-0.5_4.log
http://package23.nyi.freebsd.org/data/110i386-default-PR219275/2017-05-21_08h55m55s/logs/errors/critterding-b12_11.log
http://package23.nyi.freebsd.org/data/110i386-default-PR219275/2017-05-21_08h55m55s/logs/errors/openlierox-0.58.r3_11,1.log
http://package23.nyi.freebsd.org/data/110i386-default-PR219275/2017-05-21_08h55m55s/logs/errors/vavoom-1.33_12.log
http://package23.nyi.freebsd.org/data/110i386-default-PR219275/2017-05-21_08h55m55s/logs/errors/animorph-0.3_3.log
http://package23.nyi.freebsd.org/data/110i386-default-PR219275/2017-05-21_08h55m55s/logs/errors/gle-graphics-4.2.4.c_7.log
http://package23.nyi.freebsd.org/data/110i386-default-PR219275/2017-05-21_08h55m55s/logs/errors/pfstmo-1.5_5.log
http://package23.nyi.freebsd.org/data/110i386-default-PR219275/2017-05-21_08h55m55s/logs/errors/ezbounce-1.99.15_6.log
http://package23.nyi.freebsd.org/data/110i386-default-PR219275/2017-05-21_08h55m55s/logs/errors/cint-5.18.00_4.log
http://package23.nyi.freebsd.org/data/110i386-default-PR219275/2017-05-21_08h55m55s/logs/errors/gprolog-1.4.4_4.log
http://package23.nyi.freebsd.org/data/110i386-default-PR219275/2017-05-21_08h55m55s/logs/errors/x10-2.2.1_5.log
http://package23.nyi.freebsd.org/data/110i386-default-PR219275/2017-05-21_08h55m55s/logs/errors/annoyance-filter-1.0d_4.log
http://package23.nyi.freebsd.org/data/110i386-default-PR219275/2017-05-21_08h55m55s/logs/errors/drgeo-1.1.0_19.log
http://package23.nyi.freebsd.org/data/110i386-default-PR219275/2017-05-21_08h55m55s/logs/errors/rump-20131213_2.log
http://package23.nyi.freebsd.org/data/110i386-default-PR219275/2017-05-21_08h55m55s/logs/errors/avidemux-2.6.11_5.log
http://package23.nyi.freebsd.org/data/110i386-default-PR219275/2017-05-21_08h55m55s/logs/errors/verlihub-plugins-floodprotect-1.6_4.log
http://package23.nyi.freebsd.org/data/110i386-default-PR219275/2017-05-21_08h55m55s/logs/errors/gnudatalanguage-0.9.7_3.log
http://package23.nyi.freebsd.org/data/110i386-default-PR219275/2017-05-21_08h55m55s/logs/errors/massxpert-3.4.0_7.log
http://package23.nyi.freebsd.org/data/110i386-default-PR219275/2017-05-21_08h55m55s/logs/errors/clambc-0.98.5.r1_2.log
http://package23.nyi.freebsd.org/data/110i386-default-PR219275/2017-05-21_08h55m55s/logs/errors/pesign-0.110_3.log
http://package23.nyi.freebsd.org/data/110i386-default-PR219275/2017-05-21_08h55m55s/logs/errors/anyterm-1.1.29_7.log
Comment 8 Antoine Brodin freebsd_committer 2017-05-21 21:07:09 UTC
Exp-run results on 11.0 amd64:

http://package22.nyi.freebsd.org/build.html?mastername=110amd64-default-PR219275&build=2017-05-21_08h56m17s

New failures on 11.0 amd64:

+ {"origin"=>"astro/gpstk", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"benchmarks/polygraph", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"cad/alliance", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"cad/calculix", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"cad/freehdl", "phase"=>"build", "errortype"=>"new_compiler_error"}
+ {"origin"=>"databases/fastdb", "phase"=>"build", "errortype"=>"new_compiler_error"}
+ {"origin"=>"devel/aegis", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/pwlib", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"devel/rhtvision", "phase"=>"build", "errortype"=>"new_compiler_error"}
+ {"origin"=>"emulators/pearpc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/critterding", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/openlierox", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/vavoom", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/animorph", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/gle-graphics", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/pfstmo", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"irc/ezbounce", "phase"=>"build", "errortype"=>"new_compiler_error"}
+ {"origin"=>"lang/cint", "phase"=>"build", "errortype"=>"new_compiler_error"}
+ {"origin"=>"lang/x10", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"mail/annoyance-filter", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"math/drgeo", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"misc/rump", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"misc/seabios", "phase"=>"build", "errortype"=>"arch"}
+ {"origin"=>"multimedia/avidemux", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-p2p/verlihub-plugins-floodprotect", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"science/gnudatalanguage", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"science/massxpert", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"security/clambc", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"sysutils/pesign", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"www/anyterm", "phase"=>"build", "errortype"=>"clang"}

New failure logs on 11.0 amd64:

http://package22.nyi.freebsd.org/data/110amd64-default-PR219275/2017-05-21_08h56m17s/logs/errors/gpstk-2.5_2.log
http://package22.nyi.freebsd.org/data/110amd64-default-PR219275/2017-05-21_08h56m17s/logs/errors/polygraph-4.9.0_3.log
http://package22.nyi.freebsd.org/data/110amd64-default-PR219275/2017-05-21_08h56m17s/logs/errors/alliance-5.0.20120515_3.log
http://package22.nyi.freebsd.org/data/110amd64-default-PR219275/2017-05-21_08h56m17s/logs/errors/CalculiX-2.11_3.log
http://package22.nyi.freebsd.org/data/110amd64-default-PR219275/2017-05-21_08h56m17s/logs/errors/freehdl-0.0.7_3.log
http://package22.nyi.freebsd.org/data/110amd64-default-PR219275/2017-05-21_08h56m17s/logs/errors/fastdb-3.75_2.log
http://package22.nyi.freebsd.org/data/110amd64-default-PR219275/2017-05-21_08h56m17s/logs/errors/aegis-4.25_5.log
http://package22.nyi.freebsd.org/data/110amd64-default-PR219275/2017-05-21_08h56m17s/logs/errors/pwlib-1.12.0_12,1.log
http://package22.nyi.freebsd.org/data/110amd64-default-PR219275/2017-05-21_08h56m17s/logs/errors/rhtvision-2.2.1.1_4.log
http://package22.nyi.freebsd.org/data/110amd64-default-PR219275/2017-05-21_08h56m17s/logs/errors/pearpc-0.5_4.log
http://package22.nyi.freebsd.org/data/110amd64-default-PR219275/2017-05-21_08h56m17s/logs/errors/critterding-b12_11.log
http://package22.nyi.freebsd.org/data/110amd64-default-PR219275/2017-05-21_08h56m17s/logs/errors/openlierox-0.58.r3_11,1.log
http://package22.nyi.freebsd.org/data/110amd64-default-PR219275/2017-05-21_08h56m17s/logs/errors/vavoom-1.33_12.log
http://package22.nyi.freebsd.org/data/110amd64-default-PR219275/2017-05-21_08h56m17s/logs/errors/animorph-0.3_3.log
http://package22.nyi.freebsd.org/data/110amd64-default-PR219275/2017-05-21_08h56m17s/logs/errors/gle-graphics-4.2.4.c_7.log
http://package22.nyi.freebsd.org/data/110amd64-default-PR219275/2017-05-21_08h56m17s/logs/errors/pfstmo-1.5_5.log
http://package22.nyi.freebsd.org/data/110amd64-default-PR219275/2017-05-21_08h56m17s/logs/errors/ezbounce-1.99.15_6.log
http://package22.nyi.freebsd.org/data/110amd64-default-PR219275/2017-05-21_08h56m17s/logs/errors/cint-5.18.00_4.log
http://package22.nyi.freebsd.org/data/110amd64-default-PR219275/2017-05-21_08h56m17s/logs/errors/x10-2.2.1_5.log
http://package22.nyi.freebsd.org/data/110amd64-default-PR219275/2017-05-21_08h56m17s/logs/errors/annoyance-filter-1.0d_4.log
http://package22.nyi.freebsd.org/data/110amd64-default-PR219275/2017-05-21_08h56m17s/logs/errors/drgeo-1.1.0_19.log
http://package22.nyi.freebsd.org/data/110amd64-default-PR219275/2017-05-21_08h56m17s/logs/errors/rump-20131213_2.log
http://package22.nyi.freebsd.org/data/110amd64-default-PR219275/2017-05-21_08h56m17s/logs/errors/seabios-1.10.2.log
http://package22.nyi.freebsd.org/data/110amd64-default-PR219275/2017-05-21_08h56m17s/logs/errors/avidemux-2.6.11_5.log
http://package22.nyi.freebsd.org/data/110amd64-default-PR219275/2017-05-21_08h56m17s/logs/errors/verlihub-plugins-floodprotect-1.6_4.log
http://package22.nyi.freebsd.org/data/110amd64-default-PR219275/2017-05-21_08h56m17s/logs/errors/gnudatalanguage-0.9.7_3.log
http://package22.nyi.freebsd.org/data/110amd64-default-PR219275/2017-05-21_08h56m17s/logs/errors/massxpert-3.4.0_7.log
http://package22.nyi.freebsd.org/data/110amd64-default-PR219275/2017-05-21_08h56m17s/logs/errors/clambc-0.98.5.r1_2.log
http://package22.nyi.freebsd.org/data/110amd64-default-PR219275/2017-05-21_08h56m17s/logs/errors/pesign-0.110_3.log
http://package22.nyi.freebsd.org/data/110amd64-default-PR219275/2017-05-21_08h56m17s/logs/errors/anyterm-1.1.29_7.log
Comment 9 Antoine Brodin freebsd_committer 2017-05-21 21:16:47 UTC
For misc/seabios,  maybe lang/gcc5/files/patch-x86-64-fix-m16 was not committed for lang/gcc6 ?
Comment 10 Jan Beich freebsd_committer 2017-05-24 04:23:08 UTC
(In reply to Gerald Pfeifer from comment #6)
> Will you be able to help and sync that with the lists Antoine provided?

Done. +1 to unmaintained list *without* bugs. Sorry, I couldn't find time to help with fixes.

  astro/gpstk
  benchmarks/polygraph
  cad/alliance
  databases/fastdb
  devel/pwlib
  devel/rhtvision
  emulators/pearpc
  lang/gprolog (i386-only)
  mail/annoyance-filter
  sysutils/pesign
Comment 11 Gerald Pfeifer freebsd_committer 2017-05-28 10:32:24 UTC
(In reply to Jan Beich (away from May 25 to June 11) from comment #10)
> Done. +1 to unmaintained list *without* bugs.

Thanks a lot, Jan!
Comment 12 Gerald Pfeifer freebsd_committer 2017-05-28 10:33:33 UTC
(In reply to Antoine Brodin from comment #9)
> For misc/seabios, maybe lang/gcc5/files/patch-x86-64-fix-m16 was not
> committed for lang/gcc6 ?

Exactly.  This is upstream in the GCC 6 branch (and hence we've had it
in lang/gcc6-devel for months), alas the next GCC 6 release has been
taking longer than I expected.  I'll take care in a minute...
Comment 13 commit-hook freebsd_committer 2017-08-01 18:04:27 UTC
A commit references this bug:

Author: tcberner
Date: Tue Aug  1 18:03:37 UTC 2017
New revision: 447064
URL: https://svnweb.freebsd.org/changeset/ports/447064

Log:
  Update astro/gpstk to 2.9 -- allows to be built with gcc6.

  * Switch to github (project has moved).

  PR:		219275

Changes:
  head/astro/gpstk/Makefile
  head/astro/gpstk/distinfo
  head/astro/gpstk/files/patch-core_lib_Utilities_BinUtils.hpp
  head/astro/gpstk/files/patch-dev_ext_lib_FileDirProc_FileHunter.cpp
  head/astro/gpstk/files/patch-dev_ext_lib_Utilities_BinUtils.hpp
  head/astro/gpstk/pkg-descr
  head/astro/gpstk/pkg-plist
Comment 14 commit-hook freebsd_committer 2017-08-12 14:52:38 UTC
A commit references this bug:

Author: gerald
Date: Sat Aug 12 14:51:38 UTC 2017
New revision: 447836
URL: https://svnweb.freebsd.org/changeset/ports/447836

Log:
  Mark deprecated with an expiration date of 2017-09-13 since this is
  essentially unmaintained upstream (last RC three years ago, features
  issues fixed on the clang side six years ago, and fails to build with
  modern compilers such GCC 6+ or clang for that matter).

  Reset maintainership to give others a chance to pick this up. [1]

  Bump PORTREVISION due to the changes above.

  Replace USE_GCC=any by USE_GCC=5 to unstall PR 219275.

  PR:		219289, 219275
  Approved by:	zi (maintainer) [1]

Changes:
  head/security/clambc/Makefile
Comment 15 Gerald Pfeifer freebsd_committer 2017-08-12 14:56:28 UTC
Remove dependency on PR 219289, which I "solved" by USE_GCC=5 (and also
deprecating that port), but keep a reference in the URL field.
Comment 16 Gerald Pfeifer freebsd_committer 2017-08-13 20:41:14 UTC
Remove dependency on PR 219282, still listing that under personal tags.

Similarly move PR 219289 from the URL field.
Comment 17 Raphael Kubo da Costa freebsd_committer 2017-08-16 07:35:33 UTC
It's hard to believe, but all blockers have been fixed \o/
Comment 18 Gerald Pfeifer freebsd_committer 2017-08-17 19:12:12 UTC
(In reply to Jan Beich from comment #10)
> Done. +1 to unmaintained list *without* bugs. Sorry, I couldn't find
> time to help with fixes.
>
> astro/gpstk

Fixed r447064 by tcberner on 2017-08-01.  PR: 219275

Which leaves:

> benchmarks/polygraph
> cad/alliance
> databases/fastdb
> devel/pwlib
> devel/rhtvision
> emulators/pearpc
> lang/gprolog (i386-only)
> mail/annoyance-filter
> sysutils/pesign
Comment 19 commit-hook freebsd_committer 2017-08-17 22:00:35 UTC
A commit references this bug:

Author: rakuco
Date: Thu Aug 17 21:59:39 UTC 2017
New revision: 448199
URL: https://svnweb.freebsd.org/changeset/ports/448199

Log:
  Explicitly pass -std=gnu++03 to the compiler.

  This fixes the build with GCC 6, which defaults to -std=gnu++14. The port's
  code does not work with C++11 or later.

  Fixing it also requires adjusting Makefile.in so that invoking the C++ compiler
  uses CXXFLAGS, not CFLAGS.

  PR:		219275

Changes:
  head/mail/annoyance-filter/Makefile
  head/mail/annoyance-filter/files/patch-Makefile.in
Comment 20 commit-hook freebsd_committer 2017-08-18 12:06:22 UTC
A commit references this bug:

Author: rakuco
Date: Fri Aug 18 12:05:39 UTC 2017
New revision: 448219
URL: https://svnweb.freebsd.org/changeset/ports/448219

Log:
  Explicitly build with -std=gnu++03.

  The port does not build with C++11 or later (GCC 6 defaults to -std=gnu++14
  instead of -std=gnu++03).

  PR:		219275

Changes:
  head/benchmarks/polygraph/Makefile
Comment 21 commit-hook freebsd_committer 2017-08-18 12:22:39 UTC
A commit references this bug:

Author: rakuco
Date: Fri Aug 18 12:21:44 UTC 2017
New revision: 448221
URL: https://svnweb.freebsd.org/changeset/ports/448221

Log:
  Explicitly pass -std=gnu++03 to the compiler.

  This fixes the build with GCC 6, which defaults to -std=gnu++14. The port's
  code does not work with C++11 or later.

  PR:		219275

Changes:
  head/cad/alliance/Makefile
Comment 22 commit-hook freebsd_committer 2017-08-18 12:25:44 UTC
A commit references this bug:

Author: rakuco
Date: Fri Aug 18 12:25:30 UTC 2017
New revision: 448222
URL: https://svnweb.freebsd.org/changeset/ports/448222

Log:
  Explicitly pass -std=gnu++03 to the compiler.

  This fixes the build with GCC 6, which defaults to -std=gnu++14. The port's
  code does not work with C++11 or later.

  PR:		219275

Changes:
  head/databases/fastdb/Makefile
Comment 23 commit-hook freebsd_committer 2017-08-18 12:34:53 UTC
A commit references this bug:

Author: rakuco
Date: Fri Aug 18 12:34:07 UTC 2017
New revision: 448224
URL: https://svnweb.freebsd.org/changeset/ports/448224

Log:
  Explicitly pass -std=gnu++03 to the compiler.

  This fixes the build with GCC 6, which defaults to -std=gnu++14. The port's
  code does not work with C++11 or later.

  Annoyingly, this port's build system mixes CFLAGS and CXXFLAGS, so we need to
  pass -std=gnu++03 via CFLAGS for things to work properly.

  PR:		219275

Changes:
  head/devel/pwlib/Makefile
Comment 24 commit-hook freebsd_committer 2017-08-18 12:45:03 UTC
A commit references this bug:

Author: rakuco
Date: Fri Aug 18 12:44:14 UTC 2017
New revision: 448225
URL: https://svnweb.freebsd.org/changeset/ports/448225

Log:
  Explicitly pass -std=gnu++03 to the compiler.

  This fixes the build with GCC 6, which defaults to -std=gnu++14. The port's
  code does not work with C++11 or later.

  PR:		219275

Changes:
  head/emulators/pearpc/Makefile
Comment 25 commit-hook freebsd_committer 2017-08-18 13:39:50 UTC
A commit references this bug:

Author: rakuco
Date: Fri Aug 18 13:39:09 UTC 2017
New revision: 448230
URL: https://svnweb.freebsd.org/changeset/ports/448230

Log:
  Remove unused KeyIdTemplate variable from cms_common.c.

  This fixes the build with GCC 6:
    cms_common.c:1668:31: error: 'KeyIdTemplate' defined but not used [-Werror=unused-const-variable=]

  Note that the build is still broken on HEAD due to some macros being defined in
  base's headers.

  PR:		219275

Changes:
  head/sysutils/pesign/files/patch-src-cms_common.c
Comment 26 Raphael Kubo da Costa freebsd_committer 2017-08-18 13:40:23 UTC
We currently have the following ports left to fix:

(In reply to Gerald Pfeifer from comment #18)
> > devel/rhtvision

Broken code, fails because it's calling abs() with an unsigned int.

> > lang/gprolog (i386-only)

Internal compiler error on i386. One should either debug GCC or just force GCC 5, I guess.
Comment 27 Tobias C. Berner freebsd_committer 2017-08-18 14:05:41 UTC
There is an upstream updated to hopefully fix the ambiguous abs-call for devel/rhtvision:
http://tvision.cvs.sourceforge.net/viewvc/tvision/tvision/classes/tdisplay.cc?view=log
Comment 28 Raphael Kubo da Costa freebsd_committer 2017-08-18 14:16:12 UTC
That's an awful hack, but unless someone's willing to spend more time toying with that port I'll backport that one later today/tomorrow.
Comment 29 Tobias C. Berner freebsd_committer 2017-08-18 14:55:38 UTC
Are you happier with something like 
http://people.freebsd.org/~tcberner/patches/rhtvision.v1.diff
Comment 30 commit-hook freebsd_committer 2017-08-18 18:42:28 UTC
A commit references this bug:

Author: tcberner
Date: Fri Aug 18 18:41:51 UTC 2017
New revision: 448265
URL: https://svnweb.freebsd.org/changeset/ports/448265

Log:
  Disable machine registers on i386.

  Follow debians lead [1] and pass --disable-regs on i386, to fix build with gcc6.

  [1] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=852008

  PR:		219275

Changes:
  head/lang/gprolog/Makefile
Comment 31 Raphael Kubo da Costa freebsd_committer 2017-08-22 08:37:21 UTC
(In reply to Tobias C. Berner from comment #29)
> Are you happier with something like 
> http://people.freebsd.org/~tcberner/patches/rhtvision.v1.diff

It looks better than the upstream version to me :-) Let's go with it!
Comment 32 commit-hook freebsd_committer 2017-08-23 10:52:44 UTC
A commit references this bug:

Author: tcberner
Date: Wed Aug 23 10:51:52 UTC 2017
New revision: 448596
URL: https://svnweb.freebsd.org/changeset/ports/448596

Log:
  Add patches to fix build with gcc6

  - Add patches to work around abs() amibguity.
  - Explicitly pass -std=gnu++03 to the compiler.

  PR:		219275

Changes:
  head/devel/rhtvision/Makefile
  head/devel/rhtvision/files/patch-classes_tdesktop.cc
  head/devel/rhtvision/files/patch-classes_tdisplay.cc
Comment 33 Gerald Pfeifer freebsd_committer 2017-09-02 17:23:12 UTC
This looks ready to commit finally, and I'm working on that this weekend.

Thanks to everyone who helped; very much appreciated!
Comment 34 Jan Beich freebsd_committer 2017-09-02 17:54:52 UTC
Huh? ports/ is fast moving target: new ports appeared, existing ones may have gained USE_GCC weight. If you land without doing an extra -exp run it'd be hard to indentify regressions related to this bug from the rest.
Comment 35 commit-hook freebsd_committer 2017-09-10 20:53:46 UTC
A commit references this bug:

Author: gerald
Date: Sun Sep 10 20:53:34 UTC 2017
New revision: 449590
URL: https://svnweb.freebsd.org/changeset/ports/449590

Log:
  Update the default version of GCC (USES_GCC=yes and some others) from
  GCC 5.4 to GCC 6.4.

  PR:		219275
  Thanks to:	jbeich, rakuco, and others for fixing (too) many broken ports

Changes:
  head/Mk/bsd.default-versions.mk
Comment 36 commit-hook freebsd_committer 2017-09-10 20:56:51 UTC
A commit references this bug:

Author: gerald
Date: Sun Sep 10 20:55:50 UTC 2017
New revision: 449591
URL: https://svnweb.freebsd.org/changeset/ports/449591

Log:
  Bump PORTREVISION for ports depending on the canonical version of GCC
  (via Mk/bsd.default-versions.mk and lang/gcc) which has moved from
  GCC 5.4 to GCC 6.4 under most circumstances.

  This includes ports
   - with USE_GCC=yes or USE_GCC=any,
   - with USES=fortran,
   - using Mk/bsd.octave.mk which in turn features USES=fortran, and
   - with USES=compiler specifying openmp, nestedfct, c++11-lib, c++11-lang,
     c++14-lang, c++0x, c11, or gcc-c++11-lib.

  PR:		219275

Changes:
  head/accessibility/atkmm/Makefile
  head/archivers/brotli/Makefile
  head/archivers/c-blosc/Makefile
  head/archivers/kf5-karchive/Makefile
  head/archivers/libpar2/Makefile
  head/archivers/paq/Makefile
  head/archivers/pxz/Makefile
  head/archivers/py-brotli/Makefile
  head/archivers/rvm/Makefile
  head/astro/geographiclib/Makefile
  head/astro/gpstk/Makefile
  head/astro/kstars/Makefile
  head/astro/libosmium/Makefile
  head/astro/nightfall/Makefile
  head/astro/opencpn/Makefile
  head/astro/qmapshack/Makefile
  head/astro/viking/Makefile
  head/astro/wcslib/Makefile
  head/astro/xtide/Makefile
  head/audio/ardour5/Makefile
  head/audio/audacity/Makefile
  head/audio/beast/Makefile
  head/audio/calf/Makefile
  head/audio/ccaudio2/Makefile
  head/audio/chromaprint/Makefile
  head/audio/csound/Makefile
  head/audio/csound6/Makefile
  head/audio/deadbeef/Makefile
  head/audio/espeak/Makefile
  head/audio/firefly/Makefile
  head/audio/funktrackergold/Makefile
  head/audio/gbsplay/Makefile
  head/audio/gnuspeechsa/Makefile
  head/audio/gogglesmm/Makefile
  head/audio/gtkguitune/Makefile
  head/audio/idjc/Makefile
  head/audio/jalv/Makefile
  head/audio/libsoxr/Makefile
  head/audio/murmur/Makefile
  head/audio/musescore/Makefile
  head/audio/musicpd/Makefile
  head/audio/ncmpcpp/Makefile
  head/audio/openal-soft/Makefile
  head/audio/openspc/Makefile
  head/audio/paman/Makefile
  head/audio/paprefs/Makefile
  head/audio/patchage/Makefile
  head/audio/pavucontrol/Makefile
  head/audio/pavumeter/Makefile
  head/audio/pragha/Makefile
  head/audio/pulseaudio/Makefile
  head/audio/py-karaoke/Makefile
  head/audio/py-tagpy/Makefile
  head/audio/qjackctl/Makefile
  head/audio/qmidiarp/Makefile
  head/audio/rosegarden/Makefile
  head/audio/sayonara/Makefile
  head/audio/schismtracker/Makefile
  head/audio/smasher/Makefile
  head/audio/soundkonverter/Makefile
  head/audio/soundtouch/Makefile
  head/audio/spek/Makefile
  head/audio/synthpod-lv2/Makefile
  head/audio/vm-lv2/Makefile
  head/audio/wxguitar/Makefile
  head/audio/xmms-gbsplay/Makefile
  head/audio/zita-convolver/Makefile
  head/benchmarks/himenobench/Makefile
  head/benchmarks/hpl/Makefile
  head/benchmarks/octave-forge-benchmark/Makefile
  head/benchmarks/phoronix-test-suite/Makefile
  head/benchmarks/polygraph/Makefile
  head/benchmarks/stress-ng/Makefile
  head/biology/bowtie/Makefile
  head/biology/cd-hit/Makefile
  head/biology/crux/Makefile
  head/biology/fasttree/Makefile
  head/biology/jellyfish/Makefile
  head/biology/molden/Makefile
  head/biology/mopac/Makefile
  head/biology/ncbi-blast+/Makefile
  head/biology/plink/Makefile
  head/biology/psi88/Makefile
  head/biology/seqan-apps/Makefile
  head/biology/seqtools/Makefile
  head/biology/ssaha/Makefile
  head/biology/t_coffee/Makefile
  head/biology/tinker/Makefile
  head/cad/NASTRAN-95/Makefile
  head/cad/alliance/Makefile
  head/cad/calculix-ccx/Makefile
  head/cad/cura-engine/Makefile
  head/cad/elmerfem/Makefile
  head/cad/feappv/Makefile
  head/cad/freecad/Makefile
  head/cad/freehdl/Makefile
  head/cad/gmsh/Makefile
  head/cad/gspiceui/Makefile
  head/cad/kicad/Makefile
  head/cad/kicad-devel/Makefile
  head/cad/klayout/Makefile
  head/cad/libopencad/Makefile
  head/cad/librecad/Makefile
  head/cad/meshlab/Makefile
  head/cad/opencascade/Makefile
  head/cad/openscad/Makefile
  head/cad/openvsp/Makefile
  head/cad/pdnmesh/Makefile
  head/cad/qelectrotech/Makefile
  head/cad/qucs/Makefile
  head/cad/repsnapper/Makefile
  head/cad/sceptre/Makefile
  head/cad/scotch/Makefile
  head/cad/stepcode/Makefile
  head/cad/tochnog/Makefile
  head/chinese/ibus-libpinyin/Makefile
  head/chinese/ibus-pinyin/Makefile
  head/chinese/librime/Makefile
  head/chinese/opencc/Makefile
  head/chinese/pyzy/Makefile
  head/comms/aldo/Makefile
  head/comms/dabstick-radio/Makefile
  head/comms/efax-gtk/Makefile
  head/comms/ems-flasher/Makefile
  head/comms/fldigi/Makefile
  head/comms/freedv/Makefile
  head/comms/gnuradio/Makefile
  head/comms/gr-osmosdr/Makefile
  head/comms/gtkmmorse/Makefile
  head/comms/qt5-serialbus/Makefile
  head/comms/sdr-wspr/Makefile
  head/comms/telldus-core/Makefile
  head/comms/trustedqsl/Makefile
  head/comms/uhd/Makefile
  head/comms/usrp/Makefile
  head/comms/wsjt/Makefile
  head/comms/wsjtx/Makefile
  head/comms/wspr/Makefile
  head/converters/pdf2djvu/Makefile
  head/databases/clickhouse/Makefile
  head/databases/evolution-data-server/Makefile
  head/databases/fastdb/Makefile
  head/databases/gigabase/Makefile
  head/databases/gnats4/Makefile
  head/databases/gomdb/Makefile
  head/databases/grass6/Makefile
  head/databases/grass7/Makefile
  head/databases/leveldb/Makefile
  head/databases/levigo/Makefile
  head/databases/libgdamm5/Makefile
  head/databases/mariadb-connector-c/Makefile
  head/databases/mariadb100-server/Makefile
  head/databases/mariadb101-server/Makefile
  head/databases/mariadb102-server/Makefile
  head/databases/mariadb55-server/Makefile
  head/databases/mongodb34/Makefile
  head/databases/mongodb34-rocks/Makefile
  head/databases/mysql-q4m/Makefile
  head/databases/mysql56-server/Makefile
  head/databases/mysql57-server/Makefile
  head/databases/mysql80-server/Makefile
  head/databases/percona57-server/Makefile
  head/databases/pgadmin3/Makefile
  head/databases/pgmodeler/Makefile
  head/databases/pgrouting/Makefile
  head/databases/php5-pdo_cassandra/Makefile
  head/databases/postgresql-plv8js/Makefile
  head/databases/riak2/Makefile
  head/databases/rocksdb/Makefile
  head/databases/sqlitestudio/Makefile
  head/databases/tarantool/Makefile
  head/databases/timescaledb/Makefile
  head/databases/vsqlite/Makefile
  head/deskutils/bijiben/Makefile
  head/deskutils/easystroke/Makefile
  head/deskutils/fusenshi/Makefile
  head/deskutils/gnome-documents/Makefile
  head/deskutils/gnome-initial-setup/Makefile
  head/deskutils/gnome-photos/Makefile
  head/deskutils/gnome-todo/Makefile
  head/deskutils/gnote/Makefile
  head/deskutils/growl-for-linux/Makefile
  head/deskutils/homerun/Makefile
  head/deskutils/kdeconnect/Makefile
  head/deskutils/owncloudclient/Makefile
  head/deskutils/pinot/Makefile
  head/deskutils/sliderule/Makefile
  head/deskutils/taskd/Makefile
  head/deskutils/taskwarrior/Makefile
  head/deskutils/treesheets/Makefile
  head/deskutils/xneur/Makefile
  head/devel/aegis/Makefile
  head/devel/android-tools-adb/Makefile
  head/devel/android-tools-fastboot/Makefile
  head/devel/android-tools-simpleperf/Makefile
  head/devel/api-sanity-autotest/Makefile
  head/devel/argdata/Makefile
  head/devel/asmutils/Makefile
  head/devel/atlas-devel/Makefile
  head/devel/aws-sdk-cpp/Makefile
  head/devel/bisoncpp/Makefile
  head/devel/bossa/Makefile
  head/devel/bullet/Makefile
  head/devel/caf/Makefile
  head/devel/ccrtp/Makefile
  head/devel/cctz/Makefile
  head/devel/cheritrace-devel/Makefile
  head/devel/clanlib/Makefile
  head/devel/covtool/Makefile
  head/devel/cppcheck/Makefile
  head/devel/cssc/Makefile
  head/devel/cx_Freeze/Makefile
  head/devel/dbus-c++/Makefile
  head/devel/devhelp/Makefile
  head/devel/dia2code+/Makefile
  head/devel/drpython/Makefile
  head/devel/efivar/Makefile
  head/devel/efl/Makefile
  head/devel/elfutils/Makefile
  head/devel/embb/Makefile
  head/devel/eris/Makefile
  head/devel/flang/Makefile
  head/devel/flang-clang/Makefile
  head/devel/flatbuffers/Makefile
  head/devel/gconfmm26/Makefile
  head/devel/gdb/Makefile
  head/devel/gitg/Makefile
  head/devel/glib20/Makefile
  head/devel/glibmm/Makefile
  head/devel/gnu-efi/Makefile
  head/devel/godot/Makefile
  head/devel/google-perftools/Makefile
  head/devel/grantlee5/Makefile
  head/devel/hhdate/Makefile
  head/devel/hyperscan/Makefile
  head/devel/icu/Makefile
  head/devel/injeqt/Makefile
  head/devel/ipython/Makefile
  head/devel/jsoncpp/Makefile
  head/devel/jsonnet/Makefile
  head/devel/kBuild/Makefile
  head/devel/kdevelop-kde4/Makefile
  head/devel/kdevelop-pg-qt/Makefile
  head/devel/kdevelop-php/Makefile
  head/devel/kdevelop-php-docs/Makefile
  head/devel/kdevplatform/Makefile
  head/devel/kf5-kauth/Makefile
  head/devel/kf5-kbookmarks/Makefile
  head/devel/kf5-kcmutils/Makefile
  head/devel/kf5-kconfig/Makefile
  head/devel/kf5-kcoreaddons/Makefile
  head/devel/kf5-kcrash/Makefile
  head/devel/kf5-kdbusaddons/Makefile
  head/devel/kf5-kdeclarative/Makefile
  head/devel/kf5-kdoctools/Makefile
  head/devel/kf5-kfilemetadata/Makefile
  head/devel/kf5-ki18n/Makefile
  head/devel/kf5-kidletime/Makefile
  head/devel/kf5-kio/Makefile
  head/devel/kf5-kitemmodels/Makefile
  head/devel/kf5-knewstuff/Makefile
  head/devel/kf5-knotifications/Makefile
  head/devel/kf5-knotifyconfig/Makefile
  head/devel/kf5-kpackage/Makefile
  head/devel/kf5-kparts/Makefile
  head/devel/kf5-kpeople/Makefile
  head/devel/kf5-kpty/Makefile
  head/devel/kf5-kservice/Makefile
  head/devel/kf5-ktexteditor/Makefile
  head/devel/kf5-kunitconversion/Makefile
  head/devel/kf5-solid/Makefile
  head/devel/kf5-threadweaver/Makefile
  head/devel/libbobcat/Makefile
  head/devel/libconcurrent/Makefile
  head/devel/libcrossguid/Makefile
  head/devel/libcutl/Makefile
  head/devel/libcwd/Makefile
  head/devel/libdbusmenu-qt/Makefile
  head/devel/libflatarray/Makefile
  head/devel/libfmt/Makefile
  head/devel/libgit2-glib/Makefile
  head/devel/libglademm24/Makefile
  head/devel/libgrading/Makefile
  head/devel/libical-glib/Makefile
  head/devel/liblas/Makefile
  head/devel/liblxqt/Makefile
  head/devel/libopkele/Makefile
  head/devel/liborcus/Makefile
  head/devel/libqtxdg/Makefile
  head/devel/libsigc++20/Makefile
  head/devel/libtuntap/Makefile
  head/devel/libwfut/Makefile
  head/devel/linux-kernel/Makefile
  head/devel/lldb38/Makefile
  head/devel/llvm-cheri/Makefile
  head/devel/llvm-devel/Makefile
  head/devel/llvm34/Makefile
  head/devel/llvm35/Makefile
  head/devel/llvm38/Makefile
  head/devel/llvm39/Makefile
  head/devel/llvm40/Makefile
  head/devel/lockfree-malloc/Makefile
  head/devel/love/Makefile
  head/devel/mercator/Makefile
  head/devel/msgpack/Makefile
  head/devel/msp430-debug-stack/Makefile
  head/devel/nlohmann-json/Makefile
  head/devel/obby/Makefile
  head/devel/ocaml-lacaml/Makefile
  head/devel/opendht/Makefile
  head/devel/openmp/Makefile
  head/devel/p5-perlkde/Makefile
  head/devel/papi/Makefile
  head/devel/ponscripter-sekai/Makefile
  head/devel/protobuf/Makefile
  head/devel/pure-stllib/Makefile
  head/devel/pwlib/Makefile
  head/devel/py-llfuse/Makefile
  head/devel/py-llvmlite/Makefile
  head/devel/py-numba/Makefile
  head/devel/py-tables/Makefile
  head/devel/qbs/Makefile
  head/devel/qt5-qmake/Makefile
  head/devel/qtcreator/Makefile
  head/devel/raknet/Makefile
  head/devel/rapidjson/Makefile
  head/devel/re2/Makefile
  head/devel/regexxer/Makefile
  head/devel/rhtvision/Makefile
  head/devel/rlvm/Makefile
  head/devel/sdl2pp/Makefile
  head/devel/sfml/Makefile
  head/devel/simgear/Makefile
  head/devel/smv/Makefile
  head/devel/sourcenav/Makefile
  head/devel/synfig/Makefile
  head/devel/thrift-cpp/Makefile
  head/devel/tigcc/Makefile
  head/devel/ucommon/Makefile
  head/devel/upp/Makefile
  head/devel/varconf/Makefile
  head/devel/wxformbuilder/Makefile
  head/devel/zeal/Makefile
  head/dns/bundy/Makefile
  head/dns/c-ares/Makefile
  head/dns/kf5-kdnssd/Makefile
  head/dns/knot2/Makefile
  head/dns/powerdns/Makefile
  head/dns/powerdns-recursor/Makefile
  head/dns/void-zones-tools/Makefile
  head/dns/yadifa/Makefile
  head/editors/calligra/Makefile
  head/editors/codelite/Makefile
  head/editors/cooledit/Makefile
  head/editors/focuswriter/Makefile
  head/editors/gobby/Makefile
  head/editors/latexila/Makefile
  head/editors/libreoffice/Makefile
  head/editors/openoffice-4/Makefile
  head/editors/openoffice-devel/Makefile
  head/editors/p5-Padre/Makefile
  head/editors/poedit/Makefile
  head/editors/scite/Makefile
  head/editors/textroom/Makefile
  head/editors/yzis/Makefile
  head/editors/zile/Makefile
  head/emulators/bochs/Makefile
  head/emulators/catapult/Makefile
  head/emulators/citra/Makefile
  head/emulators/dolphin-emu/Makefile
  head/emulators/fceux/Makefile
  head/emulators/gxemul/Makefile
  head/emulators/higan/Makefile
  head/emulators/mame/Makefile
  head/emulators/mednafen/Makefile
  head/emulators/mupen64plus-rsp-cxd4/Makefile
  head/emulators/openmsx/Makefile
  head/emulators/pearpc/Makefile
  head/emulators/pipelight/Makefile
  head/emulators/ppsspp/Makefile
  head/emulators/raine/Makefile
  head/emulators/riscv-isa-sim/Makefile
  head/emulators/rpcs3/Makefile
  head/emulators/skyeye/Makefile
  head/emulators/snes9x-gtk/Makefile
  head/emulators/stella/Makefile
  head/emulators/wine/Makefile
  head/emulators/wine-devel/Makefile
  head/emulators/wxmupen64plus/Makefile
  head/emulators/x49gp/Makefile
  head/finance/bitcoin-armory/Makefile
  head/finance/gnucash/Makefile
  head/finance/ledger/Makefile
  head/finance/moneymanagerex/Makefile
  head/finance/qhacc/Makefile
  head/finance/skrooge/Makefile
  head/french/aster/Makefile
  head/french/eficas/Makefile
  head/french/med/Makefile
  head/ftp/filezilla/Makefile
  head/ftp/lftp/Makefile
  head/ftp/libfilezilla/Makefile
  head/games/0ad/Makefile
  head/games/3omns/Makefile
  head/games/7kaa/Makefile
  head/games/adonthell/Makefile
  head/games/alienarena/Makefile
  head/games/asc/Makefile
  head/games/blinkensisters/Makefile
  head/games/braincurses/Makefile
  head/games/bzflag/Makefile
  head/games/cataclysm-dda/Makefile
  head/games/cockatrice/Makefile
  head/games/connectagram/Makefile
  head/games/corsix-th/Makefile
  head/games/craft/Makefile
  head/games/criticalmass/Makefile
  head/games/critterding/Makefile
  head/games/doomsday/Makefile
  head/games/dunelegacy/Makefile
  head/games/dustrac/Makefile
  head/games/easyrpg-player/Makefile
  head/games/el/Makefile
  head/games/ember/Makefile
  head/games/emptyepsilon/Makefile
  head/games/endless-sky/Makefile
  head/games/etracer/Makefile
  head/games/exult/Makefile
  head/games/flightgear/Makefile
  head/games/freecell-solver/Makefile
  head/games/freedink-dfarc/Makefile
  head/games/freeminer/Makefile
  head/games/gnomebreakout/Makefile
  head/games/gnubg/Makefile
  head/games/gnudoku/Makefile
  head/games/golly/Makefile
  head/games/gottet/Makefile
  head/games/gtkevemon/Makefile
  head/games/gtkpool/Makefile
  head/games/hexalate/Makefile
  head/games/hexxagon/Makefile
  head/games/hoverboard-sdl/Makefile
  head/games/irrlamb/Makefile
  head/games/liblcf/Makefile
  head/games/libretro-cores/Makefile
  head/games/lordsawar/Makefile
  head/games/lugaru/Makefile
  head/games/megaglest/Makefile
  head/games/mirrormagic/Makefile
  head/games/monster-masher/Makefile
  head/games/naev/Makefile
  head/games/openclonk/Makefile
  head/games/openmw/Makefile
  head/games/openomf/Makefile
  head/games/openrct2/Makefile
  head/games/openspades/Makefile
  head/games/opensurge/Makefile
  head/games/openxcom/Makefile
  head/games/openyahtzee/Makefile
  head/games/peg-e/Makefile
  head/games/pingus/Makefile
  head/games/pink-pony/Makefile
  head/games/pioneer/Makefile
  head/games/py-mnemosyne/Makefile
  head/games/quackle/Makefile
  head/games/quakeforge/Makefile
  head/games/retroarch/Makefile
  head/games/rubix/Makefile
  head/games/sdl_scavenger/Makefile
  head/games/sdlroids/Makefile
  head/games/shaaft/Makefile
  head/games/simsu/Makefile
  head/games/slade/Makefile
  head/games/solarus/Makefile
  head/games/solarus-quest-editor/Makefile
  head/games/spring/Makefile
  head/games/springlobby/Makefile
  head/games/stonesoup/Makefile
  head/games/supertux2/Makefile
  head/games/supertuxkart/Makefile
  head/games/syobon/Makefile
  head/games/tanglet/Makefile
  head/games/tbe/Makefile
  head/games/teeworlds/Makefile
  head/games/tetzle/Makefile
  head/games/traingame/Makefile
  head/games/trenchbroom/Makefile
  head/games/ufoai/Makefile
  head/games/warsow/Makefile
  head/games/warzone2100/Makefile
  head/games/wesnoth/Makefile
  head/games/widelands/Makefile
  head/games/wxlauncher/Makefile
  head/games/wyrmgus/Makefile
  head/games/xbat/Makefile
  head/graphics/GraphicsMagick/Makefile
  head/graphics/ImageMagick/Makefile
  head/graphics/ImageMagick7/Makefile
  head/graphics/OpenEXR/Makefile
  head/graphics/aaphoto/Makefile
  head/graphics/aeskulap/Makefile
  head/graphics/agave/Makefile
  head/graphics/alembic/Makefile
  head/graphics/animorph/Makefile
  head/graphics/argyllcms/Makefile
  head/graphics/aseprite/Makefile
  head/graphics/blender/Makefile
  head/graphics/bugle/Makefile
  head/graphics/caffe/Makefile
  head/graphics/cairomm/Makefile
  head/graphics/cegui/Makefile
  head/graphics/cimg/Makefile
  head/graphics/code-eli/Makefile
  head/graphics/colmap/Makefile
  head/graphics/converseen/Makefile
  head/graphics/copperspice/Makefile
  head/graphics/darktable/Makefile
  head/graphics/dataplot/Makefile
  head/graphics/dcp2icc/Makefile
  head/graphics/delaboratory/Makefile
  head/graphics/dilay/Makefile
  head/graphics/enblend/Makefile
  head/graphics/evince/Makefile
  head/graphics/freeimage/Makefile
  head/graphics/geomorph/Makefile
  head/graphics/gimp-beautify-plugin/Makefile
  head/graphics/gimp-gmic-plugin/Makefile
  head/graphics/gimp-refocus-plugin/Makefile
  head/graphics/gimp-resynthesizer/Makefile
  head/graphics/goocanvasmm2/Makefile
  head/graphics/gource/Makefile
  head/graphics/gthumb/Makefile
  head/graphics/gtimelapse/Makefile
  head/graphics/guetzli/Makefile
  head/graphics/gx/Makefile
  head/graphics/hiptext/Makefile
  head/graphics/hugin/Makefile
  head/graphics/inkscape/Makefile
  head/graphics/ipe/Makefile
  head/graphics/jogamp-jogl/Makefile
  head/graphics/kf5-kimageformats/Makefile
  head/graphics/kf5-kplotting/Makefile
  head/graphics/kf5-prison/Makefile
  head/graphics/krita/Makefile
  head/graphics/libbpg/Makefile
  head/graphics/libcdr01/Makefile
  head/graphics/libetonyek01/Makefile
  head/graphics/libfreehand/Makefile
  head/graphics/libgltf/Makefile
  head/graphics/libgnomecanvasmm26/Makefile
  head/graphics/libopenraw/Makefile
  head/graphics/libraw/Makefile
  head/graphics/libzmf/Makefile
  head/graphics/lightzone/Makefile
  head/graphics/lximage-qt/Makefile
  head/graphics/mahotas/Makefile
  head/graphics/makehuman/Makefile
  head/graphics/mapnik/Makefile
  head/graphics/mhgui/Makefile
  head/graphics/mupdf/Makefile
  head/graphics/mypaint/Makefile
  head/graphics/nurbs++/Makefile
  head/graphics/ogre3d/Makefile
  head/graphics/openimageio/Makefile
  head/graphics/openshadinglanguage/Makefile
  head/graphics/oyranos/Makefile
  head/graphics/p5-PGPLOT/Makefile
  head/graphics/pfstmo/Makefile
  head/graphics/pgplot/Makefile
  head/graphics/photivo/Makefile
  head/graphics/piglit/Makefile
  head/graphics/pixie/Makefile
  head/graphics/py-gdal/Makefile
  head/graphics/raster3d/Makefile
  head/graphics/rawtherapee/Makefile
  head/graphics/seexpr/Makefile
  head/graphics/sekrit-twc-zimg/Makefile
  head/graphics/sharpconstruct/Makefile
  head/graphics/shotwell/Makefile
  head/graphics/simpleviewer/Makefile
  head/graphics/synfigstudio/Makefile
  head/graphics/tesseract/Makefile
  head/graphics/tiled/Makefile
  head/graphics/tulip/Makefile
  head/graphics/vapoursynth-fmtconv/Makefile
  head/graphics/vapoursynth-waifu2x-w2xc/Makefile
  head/graphics/vigra/Makefile
  head/graphics/waffle/Makefile
  head/graphics/waifu2x-converter-cpp/Makefile
  head/graphics/webp/Makefile
  head/graphics/wxsvg/Makefile
  head/graphics/xd3d/Makefile
  head/graphics/zathura/Makefile
  head/graphics/zathura-cb/Makefile
  head/graphics/zathura-djvu/Makefile
  head/graphics/zathura-pdf-mupdf/Makefile
  head/graphics/zathura-pdf-poppler/Makefile
  head/graphics/zathura-ps/Makefile
  head/irc/ezbounce/Makefile
  head/irc/ircd-ratbox/Makefile
  head/irc/ircservices/Makefile
  head/irc/lostirc/Makefile
  head/irc/quassel/Makefile
  head/irc/znc/Makefile
  head/japanese/fcitx-skk/Makefile
  head/japanese/mozc-server/Makefile
  head/japanese/skkinput3/Makefile
  head/japanese/xdtp/Makefile
  head/japanese/xtr/Makefile
  head/java/classpath/Makefile
  head/java/intellij-fsnotifier/Makefile
  head/java/openjfx8-devel/Makefile
  head/java/sigar/Makefile
  head/lang/afnix/Makefile
  head/lang/angelscript/Makefile
  head/lang/cilkplus/Makefile
  head/lang/cint/Makefile
  head/lang/cjs/Makefile
  head/lang/clang34/Makefile
  head/lang/clang35/Makefile
  head/lang/cling/Makefile
  head/lang/erlang-runtime15/Makefile
  head/lang/erlang-runtime16/Makefile
  head/lang/erlang-runtime17/Makefile
  head/lang/erlang-runtime18/Makefile
  head/lang/gambit-c/Makefile
  head/lang/gcc6/Makefile
  head/lang/gcc6-devel/Makefile
  head/lang/gcc7/Makefile
  head/lang/gcc7-devel/Makefile
  head/lang/gcc8-devel/Makefile
  head/lang/gforth/Makefile
  head/lang/ghc/Makefile
  head/lang/gjs/Makefile
  head/lang/gprolog/Makefile
  head/lang/hugs/Makefile
  head/lang/icon/Makefile
  head/lang/io/Makefile
  head/lang/julia/Makefile
  head/lang/kf5-kross/Makefile
  head/lang/mlton/Makefile
  head/lang/modula3/Makefile
  head/lang/mono/Makefile
  head/lang/nhc98/Makefile
  head/lang/oo2c/Makefile
  head/lang/opencoarrays/Makefile
  head/lang/p5-ExtUtils-F77/Makefile
  head/lang/phantomjs/Makefile
  head/lang/pure/Makefile
  head/lang/ratfor/Makefile
  head/lang/sagittarius-scheme/Makefile
  head/lang/scm/Makefile
  head/lang/spidermonkey24/Makefile
  head/lang/spidermonkey38/Makefile
  head/lang/swift/Makefile
  head/lang/v8/Makefile
  head/lang/v8-devel/Makefile
  head/lang/x10/Makefile
  head/lang/yap/Makefile
  head/lang/yap-devel/Makefile
  head/lang/ypsilon/Makefile
  head/mail/annoyance-filter/Makefile
  head/mail/dovecot-pigeonhole/Makefile
  head/mail/libmapi/Makefile
  head/mail/libvmime/Makefile
  head/mail/milter-callback/Makefile
  head/mail/pop3vscan/Makefile
  head/mail/spamdyke/Makefile
  head/mail/spamprobe/Makefile
  head/mail/trojita/Makefile
  head/math/R/Makefile
  head/math/algae/Makefile
  head/math/armadillo/Makefile
  head/math/arpack/Makefile
  head/math/arpack-ng/Makefile
  head/math/aspcud/Makefile
  head/math/atlas/Makefile
  head/math/blacs/Makefile
  head/math/blocksolve95/Makefile
  head/math/cadabra2/Makefile
  head/math/cantor/Makefile
  head/math/cblas/Makefile
  head/math/ceres-solver/Makefile
  head/math/clp/Makefile
  head/math/cmlib/Makefile
  head/math/cryptominisat/Makefile
  head/math/cvc3/Makefile
  head/math/dynare/Makefile
  head/math/eispack/Makefile
  head/math/fflas-ffpack/Makefile
  head/math/fftw/Makefile
  head/math/fftw3/Makefile
  head/math/fityk/Makefile
  head/math/freemat/Makefile
  head/math/gambit/Makefile
  head/math/giacxcas/Makefile
  head/math/gotoblas/Makefile
  head/math/gracetmpl/Makefile
  head/math/gretl/Makefile
  head/math/gringo/Makefile
  head/math/hfst/Makefile
  head/math/ipopt/Makefile
  head/math/ised/Makefile
  head/math/jags/Makefile
  head/math/kig/Makefile
  head/math/kktdirect/Makefile
  head/math/lapack/Makefile
  head/math/lapack++/Makefile
  head/math/lapack95/Makefile
  head/math/levmar/Makefile
  head/math/libRmath/Makefile
  head/math/libflame/Makefile
  head/math/librsb/Makefile
  head/math/libtsnnls/Makefile
  head/math/linpack/Makefile
  head/math/math77/Makefile
  head/math/metis/Makefile
  head/math/miracl/Makefile
  head/math/mosesdecoder/Makefile
  head/math/mtl/Makefile
  head/math/mumps/Makefile
  head/math/octave/Makefile
  head/math/octave-forge-actuarial/Makefile
  head/math/octave-forge-audio/Makefile
  head/math/octave-forge-bim/Makefile
  head/math/octave-forge-bioinfo/Makefile
  head/math/octave-forge-bsltl/Makefile
  head/math/octave-forge-cgi/Makefile
  head/math/octave-forge-civil-engineering/Makefile
  head/math/octave-forge-communications/Makefile
  head/math/octave-forge-control/Makefile
  head/math/octave-forge-data-smoothing/Makefile
  head/math/octave-forge-database/Makefile
  head/math/octave-forge-dataframe/Makefile
  head/math/octave-forge-divand/Makefile
  head/math/octave-forge-doctest/Makefile
  head/math/octave-forge-econometrics/Makefile
  head/math/octave-forge-engine/Makefile
  head/math/octave-forge-fenv/Makefile
  head/math/octave-forge-financial/Makefile
  head/math/octave-forge-fits/Makefile
  head/math/octave-forge-fl-core/Makefile
  head/math/octave-forge-fpl/Makefile
  head/math/octave-forge-fuzzy-logic-toolkit/Makefile
  head/math/octave-forge-ga/Makefile
  head/math/octave-forge-general/Makefile
  head/math/octave-forge-generate_html/Makefile
  head/math/octave-forge-geometry/Makefile
  head/math/octave-forge-gnuplot/Makefile
  head/math/octave-forge-gsl/Makefile
  head/math/octave-forge-ident/Makefile
  head/math/octave-forge-image/Makefile
  head/math/octave-forge-informationtheory/Makefile
  head/math/octave-forge-integration/Makefile
  head/math/octave-forge-interval/Makefile
  head/math/octave-forge-io/Makefile
  head/math/octave-forge-irsa/Makefile
  head/math/octave-forge-level-set/Makefile
  head/math/octave-forge-linear-algebra/Makefile
  head/math/octave-forge-lssa/Makefile
  head/math/octave-forge-ltfat/Makefile
  head/math/octave-forge-mapping/Makefile
  head/math/octave-forge-mechanics/Makefile
  head/math/octave-forge-miscellaneous/Makefile
  head/math/octave-forge-missing-functions/Makefile
  head/math/octave-forge-msh/Makefile
  head/math/octave-forge-multicore/Makefile
  head/math/octave-forge-mvn/Makefile
  head/math/octave-forge-nan/Makefile
  head/math/octave-forge-ncarray/Makefile
  head/math/octave-forge-netcdf/Makefile
  head/math/octave-forge-nlwing2/Makefile
  head/math/octave-forge-nnet/Makefile
  head/math/octave-forge-nurbs/Makefile
  head/math/octave-forge-ocs/Makefile
  head/math/octave-forge-oct2mat/Makefile
  head/math/octave-forge-octcdf/Makefile
  head/math/octave-forge-octclip/Makefile
  head/math/octave-forge-octproj/Makefile
  head/math/octave-forge-odebvp/Makefile
  head/math/octave-forge-odepkg/Makefile
  head/math/octave-forge-optics/Makefile
  head/math/octave-forge-optim/Makefile
  head/math/octave-forge-optiminterp/Makefile
  head/math/octave-forge-outliers/Makefile
  head/math/octave-forge-parallel/Makefile
  head/math/octave-forge-pdb/Makefile
  head/math/octave-forge-plot/Makefile
  head/math/octave-forge-pt_br/Makefile
  head/math/octave-forge-quaternion/Makefile
  head/math/octave-forge-queueing/Makefile
  head/math/octave-forge-secs1d/Makefile
  head/math/octave-forge-secs2d/Makefile
  head/math/octave-forge-secs3d/Makefile
  head/math/octave-forge-signal/Makefile
  head/math/octave-forge-simp/Makefile
  head/math/octave-forge-sockets/Makefile
  head/math/octave-forge-sparsersb/Makefile
  head/math/octave-forge-specfun/Makefile
  head/math/octave-forge-special-matrix/Makefile
  head/math/octave-forge-splines/Makefile
  head/math/octave-forge-statistics/Makefile
  head/math/octave-forge-stk/Makefile
  head/math/octave-forge-strings/Makefile
  head/math/octave-forge-struct/Makefile
  head/math/octave-forge-symband/Makefile
  head/math/octave-forge-symbolic/Makefile
  head/math/octave-forge-tcl-octave/Makefile
  head/math/octave-forge-tisean/Makefile
  head/math/octave-forge-tsa/Makefile
  head/math/octave-forge-video/Makefile
  head/math/octave-forge-zenity/Makefile
  head/math/octave-forge-zeromq/Makefile
  head/math/openblas/Makefile
  head/math/openfst/Makefile
  head/math/opensolaris-libm/Makefile
  head/math/p5-Math-Int128/Makefile
  head/math/pdal/Makefile
  head/math/plplot/Makefile
  head/math/py-cryptominisat/Makefile
  head/math/py-matplotlib/Makefile
  head/math/py-numpy/Makefile
  head/math/py-pysparse/Makefile
  head/math/py-symeig/Makefile
  head/math/py-theano/Makefile
  head/math/qalculate/Makefile
  head/math/qd/Makefile
  head/math/qrupdate/Makefile
  head/math/rkward-kde4/Makefile
  head/math/rpy2/Makefile
  head/math/saga/Makefile
  head/math/scalapack/Makefile
  head/math/scilab/Makefile
  head/math/sdpa/Makefile
  head/math/sdpara/Makefile
  head/math/sfft/Makefile
  head/math/slatec/Makefile
  head/math/spblas/Makefile
  head/math/suitesparse/Makefile
  head/math/superlu/Makefile
  head/math/superlu_mt/Makefile
  head/math/taucs/Makefile
  head/math/tomsfastmath/Makefile
  head/math/trlan/Makefile
  head/math/viennacl/Makefile
  head/math/vowpal_wabbit/Makefile
  head/math/wfmath/Makefile
  head/math/x12arima/Makefile
  head/math/yacas/Makefile
  head/misc/estic/Makefile
  head/misc/metalink-tools/Makefile
  head/misc/rump/Makefile
  head/misc/seabios/Makefile
  head/multimedia/aegisub/Makefile
  head/multimedia/assimp/Makefile
  head/multimedia/audacious/Makefile
  head/multimedia/audacious-gtk3/Makefile
  head/multimedia/audacious-plugins/Makefile
  head/multimedia/audacious-plugins-gtk3/Makefile
  head/multimedia/baka-mplayer/Makefile
  head/multimedia/bombono/Makefile
  head/multimedia/dvdstyler/Makefile
  head/multimedia/ffmpeg/Makefile
  head/multimedia/ffmpegthumbnailer/Makefile
  head/multimedia/ffms2/Makefile
  head/multimedia/gstreamer1-vaapi/Makefile
  head/multimedia/gstreamermm/Makefile
  head/multimedia/handbrake/Makefile
  head/multimedia/kf5-kmediaplayer/Makefile
  head/multimedia/kissdx/Makefile
  head/multimedia/kodi/Makefile
  head/multimedia/kvazaar/Makefile
  head/multimedia/libcec/Makefile
  head/multimedia/libde265/Makefile
  head/multimedia/libva-intel-driver/Makefile
  head/multimedia/libvpx/Makefile
  head/multimedia/lives/Makefile
  head/multimedia/mjpegtools/Makefile
  head/multimedia/mkvtoolnix/Makefile
  head/multimedia/mpc-qt/Makefile
  head/multimedia/mpv/Makefile
  head/multimedia/obs-studio/Makefile
  head/multimedia/oggvideotools/Makefile
  head/multimedia/pHash/Makefile
  head/multimedia/rage/Makefile
  head/multimedia/subtitleeditor/Makefile
  head/multimedia/vapoursynth/Makefile
  head/multimedia/vdr/Makefile
  head/multimedia/vdr-plugin-softhddevice/Makefile
  head/multimedia/vlc/Makefile
  head/multimedia/xanim/Makefile
  head/net/belle-sip/Makefile
  head/net/freerdp/Makefile
  head/net/freerdp1/Makefile
  head/net/glusterfs/Makefile
  head/net/gnome-online-accounts/Makefile
  head/net/gupnp/Makefile
  head/net/iaxmodem/Makefile
  head/net/ipxe/Makefile
  head/net/kea/Makefile
  head/net/kf5-kxmlrpcclient/Makefile
  head/net/l2tpd/Makefile
  head/net/libtnl/Makefile
  head/net/mediatomb/Makefile
  head/net/mpich/Makefile
  head/net/mpich2/Makefile
  head/net/ndisc6/Makefile
  head/net/ndpi/Makefile
  head/net/nepenthes/Makefile
  head/net/net6/Makefile
  head/net/ohphone/Makefile
  head/net/openbsc/Makefile
  head/net/openh323/Makefile
  head/net/openmpi/Makefile
  head/net/openmpi2/Makefile
  head/net/opensips/Makefile
  head/net/quagga/Makefile
  head/net/skstream/Makefile
  head/net/sobby/Makefile
  head/net/spoofer/Makefile
  head/net/uget/Makefile
  head/net/xpvm/Makefile
  head/net/yami4/Makefile
  head/net/zerotier/Makefile
  head/net-im/corebird/Makefile
  head/net-im/diligent/Makefile
  head/net-im/jabberd/Makefile
  head/net-im/ktp-common-internals/Makefile
  head/net-im/ktp-text-ui/Makefile
  head/net-im/libaccounts-qt5/Makefile
  head/net-im/qTox/Makefile
  head/net-im/ricochet/Makefile
  head/net-im/ring-daemon/Makefile
  head/net-im/ring-gnome/Makefile
  head/net-im/ring-libclient/Makefile
  head/net-im/teamwords/Makefile
  head/net-im/tox/Makefile
  head/net-im/uTox/Makefile
  head/net-mgmt/chillispot/Makefile
  head/net-mgmt/mk-livestatus/Makefile
  head/net-mgmt/resource-agents/Makefile
  head/net-mgmt/seafile-gui/Makefile
  head/net-p2p/bitcoin/Makefile
  head/net-p2p/cpuminer/Makefile
  head/net-p2p/dogecoin/Makefile
  head/net-p2p/eiskaltdcpp-daemon/Makefile
  head/net-p2p/eiskaltdcpp-gtk/Makefile
  head/net-p2p/eiskaltdcpp-lib/Makefile
  head/net-p2p/eiskaltdcpp-qt/Makefile
  head/net-p2p/libtorrent/Makefile
  head/net-p2p/libtorrent-rasterbar/Makefile
  head/net-p2p/namecoin/Makefile
  head/net-p2p/qbittorrent/Makefile
  head/net-p2p/rtorrent/Makefile
  head/net-p2p/transmission-qt4/Makefile
  head/net-p2p/transmission-qt5/Makefile
  head/net-p2p/zetacoin/Makefile
  head/news/nget/Makefile
  head/news/nzbget/Makefile
  head/palm/jpilot/Makefile
  head/polish/kadu/Makefile
  head/polish/qnapi/Makefile
  head/ports-mgmt/octopkg/Makefile
  head/ports-mgmt/portal/Makefile
  head/ports-mgmt/portrac/Makefile
  head/print/cups-filters/Makefile
  head/print/gribouy/Makefile
  head/print/harfbuzz/Makefile
  head/print/libgnomeprintmm/Makefile
  head/print/libmspub01/Makefile
  head/print/pdftk/Makefile
  head/print/texlive-base/Makefile
  head/science/cdf/Makefile
  head/science/cdo/Makefile
  head/science/cgnslib/Makefile
  head/science/clhep/Makefile
  head/science/dcl/Makefile
  head/science/dlpoly-classic/Makefile
  head/science/fvcom/Makefile
  head/science/fvm/Makefile
  head/science/getdp/Makefile
  head/science/ghemical/Makefile
  head/science/gnudatalanguage/Makefile
  head/science/gromacs/Makefile
  head/science/harminv/Makefile
  head/science/hdf/Makefile
  head/science/hdf5/Makefile
  head/science/hdf5-18/Makefile
  head/science/hypre/Makefile
  head/science/isaac-cfd/Makefile
  head/science/libctl/Makefile
  head/science/libgeodecomp/Makefile
  head/science/libghemical/Makefile
  head/science/libint/Makefile
  head/science/libxc/Makefile
  head/science/massxpert/Makefile
  head/science/mbdyn/Makefile
  head/science/meep/Makefile
  head/science/mpb/Makefile
  head/science/mpqc/Makefile
  head/science/ncs/Makefile
  head/science/netcdf-fortran/Makefile
  head/science/openkim/Makefile
  head/science/pnetcdf/Makefile
  head/science/psychopy/Makefile
  head/science/py-obspy/Makefile
  head/science/py-scikit-learn/Makefile
  head/science/py-scikit-sparse/Makefile
  head/science/py-scipy/Makefile
  head/science/silo/Makefile
  head/science/v_sim/Makefile
  head/security/arpCounterattack/Makefile
  head/security/bro/Makefile
  head/security/certificate-transparency/Makefile
  head/security/clambc/Makefile
  head/security/cryptopp/Makefile
  head/security/gnome-keyring/Makefile
  head/security/gnupg/Makefile
  head/security/gnupg22/Makefile
  head/security/gpgme/Makefile
  head/security/hashcat-legacy/Makefile
  head/security/hpenc/Makefile
  head/security/i2pd/Makefile
  head/security/john/Makefile
  head/security/keepassx-devel/Makefile
  head/security/keepassxc/Makefile
  head/security/kf5-kdesu/Makefile
  head/security/libzrtpcppcore/Makefile
  head/security/obfsclient/Makefile
  head/security/pinentry/Makefile
  head/security/pks/Makefile
  head/security/quantis/Makefile
  head/security/seccure/Makefile
  head/security/titus/Makefile
  head/security/tor/Makefile
  head/security/tor-devel/Makefile
  head/sysutils/android-file-transfer/Makefile
  head/sysutils/b2sum/Makefile
  head/sysutils/bsdisks/Makefile
  head/sysutils/clone/Makefile
  head/sysutils/conky/Makefile
  head/sysutils/dar/Makefile
  head/sysutils/facter/Makefile
  head/sysutils/freefilesync/Makefile
  head/sysutils/fusefs-encfs/Makefile
  head/sysutils/fusefs-lkl/Makefile
  head/sysutils/fusefs-simple-mtpfs/Makefile
  head/sysutils/gnome-control-center/Makefile
  head/sysutils/gnome-system-monitor/Makefile
  head/sysutils/grub2/Makefile
  head/sysutils/grub2-bhyve/Makefile
  head/sysutils/grub2-efi/Makefile
  head/sysutils/grub2-pcbsd/Makefile
  head/sysutils/gsmartcontrol/Makefile
  head/sysutils/hfm/Makefile
  head/sysutils/ipdbtools/Makefile
  head/sysutils/kf5-baloo/Makefile
  head/sysutils/kf5-kwallet/Makefile
  head/sysutils/kshutdown-kde4/Makefile
  head/sysutils/libretto-config/Makefile
  head/sysutils/lnav/Makefile
  head/sysutils/logstalgia/Makefile
  head/sysutils/mate-system-monitor/Makefile
  head/sysutils/memtest86+/Makefile
  head/sysutils/nitrogen/Makefile
  head/sysutils/ori/Makefile
  head/sysutils/osquery/Makefile
  head/sysutils/parafly/Makefile
  head/sysutils/pesign/Makefile
  head/sysutils/powerdxx/Makefile
  head/sysutils/shim/Makefile
  head/sysutils/spiped/Makefile
  head/sysutils/tarsnap-gui/Makefile
  head/sysutils/uefi-edk2-bhyve/Makefile
  head/sysutils/wiimms/Makefile
  head/textproc/ctpp2/Makefile
  head/textproc/fcitx-qt5/Makefile
  head/textproc/gutenmark/Makefile
  head/textproc/highlight/Makefile
  head/textproc/ibus/Makefile
  head/textproc/kenlm/Makefile
  head/textproc/kf5-kcodecs/Makefile
  head/textproc/kf5-sonnet/Makefile
  head/textproc/kf5-syntax-highlighting/Makefile
  head/textproc/libe-book/Makefile
  head/textproc/libsass/Makefile
  head/textproc/libvisio01/Makefile
  head/textproc/libxml++26/Makefile
  head/textproc/link-grammar/Makefile
  head/textproc/opengrm-ngram/Makefile
  head/textproc/pugixml/Makefile
  head/textproc/randlm/Makefile
  head/textproc/sassc/Makefile
  head/textproc/senna/Makefile
  head/textproc/sigil/Makefile
  head/textproc/stardict3/Makefile
  head/textproc/uim-kde4/Makefile
  head/textproc/wiggle/Makefile
  head/textproc/yodl/Makefile
  head/textproc/zorba/Makefile
  head/www/anyterm/Makefile
  head/www/aria2/Makefile
  head/www/chromium/Makefile
  head/www/edbrowse/Makefile
  head/www/epiphany/Makefile
  head/www/gecko-mediaplayer/Makefile
  head/www/h2o/Makefile
  head/www/hiawatha/Makefile
  head/www/kannel/Makefile
  head/www/kannel-sqlbox/Makefile
  head/www/kf5-kdewebkit/Makefile
  head/www/kf5-khtml/Makefile
  head/www/kf5-kjs/Makefile
  head/www/kf5-kjsembed/Makefile
  head/www/mod_authnz_crowd/Makefile
  head/www/mod_security-devel/Makefile
  head/www/mod_spdy/Makefile
  head/www/newsbeuter/Makefile
  head/www/nghttp2/Makefile
  head/www/node/Makefile
  head/www/node4/Makefile
  head/www/node6/Makefile
  head/www/otter-browser/Makefile
  head/www/p5-Gtk2-WebKit/Makefile
  head/www/rejik/Makefile
  head/www/spdylay/Makefile
  head/www/squid-devel/Makefile
  head/www/thundercache/Makefile
  head/www/webkit-gtk2/Makefile
  head/www/webkit-gtk3/Makefile
  head/www/webkit2-gtk3/Makefile
  head/www/wt/Makefile
  head/x11/cinnamon/Makefile
  head/x11/cool-retro-term/Makefile
  head/x11/eaglemode/Makefile
  head/x11/enventor/Makefile
  head/x11/gnome-shell/Makefile
  head/x11/kactivities/Makefile
  head/x11/kactivitymanagerd/Makefile
  head/x11/kde4-workspace/Makefile
  head/x11/kf5-frameworkintegration/Makefile
  head/x11/kf5-kactivities/Makefile
  head/x11/kf5-kded/Makefile
  head/x11/kf5-kdelibs4support/Makefile
  head/x11/kf5-kglobalaccel/Makefile
  head/x11/kf5-kinit/Makefile
  head/x11/kf5-krunner/Makefile
  head/x11/kf5-kwayland/Makefile
  head/x11/kf5-kwindowsystem/Makefile
  head/x11/kf5-plasma-framework/Makefile
  head/x11/lemonbar/Makefile
  head/x11/libfm-qt/Makefile
  head/x11/libgnomemm26/Makefile
  head/x11/lightdm/Makefile
  head/x11/qterminal/Makefile
  head/x11/terminology/Makefile
  head/x11/thingylaunch/Makefile
  head/x11/virtualgl/Makefile
  head/x11/workrave/Makefile
  head/x11/xpra/Makefile
  head/x11-fm/gnome-commander2/Makefile
  head/x11-fm/pcmanfm-qt/Makefile
  head/x11-fm/wcmcommander/Makefile
  head/x11-fm/worker/Makefile
  head/x11-themes/adwaita-common/Makefile
  head/x11-themes/kf5-kemoticons/Makefile
  head/x11-themes/kf5-kiconthemes/Makefile
  head/x11-themes/qt4-style-Kvantum/Makefile
  head/x11-themes/qt5-style-Kvantum/Makefile
  head/x11-themes/qtcurve/Makefile
  head/x11-toolkits/bakery/Makefile
  head/x11-toolkits/c++-gtk-utils/Makefile
  head/x11-toolkits/flowcanvas/Makefile
  head/x11-toolkits/fox17/Makefile
  head/x11-toolkits/gtk30/Makefile
  head/x11-toolkits/gtkglextmm/Makefile
  head/x11-toolkits/gtksourceviewmm3/Makefile
  head/x11-toolkits/kf5-attica/Makefile
  head/x11-toolkits/kf5-kcompletion/Makefile
  head/x11-toolkits/kf5-kconfigwidgets/Makefile
  head/x11-toolkits/kf5-kdesignerplugin/Makefile
  head/x11-toolkits/kf5-kguiaddons/Makefile
  head/x11-toolkits/kf5-kirigami2/Makefile
  head/x11-toolkits/kf5-kitemviews/Makefile
  head/x11-toolkits/kf5-kjobwidgets/Makefile
  head/x11-toolkits/kf5-ktextwidgets/Makefile
  head/x11-toolkits/kf5-kwidgetsaddons/Makefile
  head/x11-toolkits/kf5-kxmlgui/Makefile
  head/x11-toolkits/libgnomeuimm26/Makefile
  head/x11-toolkits/libsexymm/Makefile
  head/x11-toolkits/mygui/Makefile
  head/x11-toolkits/p5-Wx/Makefile
  head/x11-toolkits/pangomm/Makefile
  head/x11-toolkits/py-wxPython30/Makefile
  head/x11-toolkits/qtermwidget/Makefile
  head/x11-toolkits/scintilla/Makefile
  head/x11-toolkits/vte3/Makefile
  head/x11-toolkits/wxgtk30/Makefile
  head/x11-wm/herbstluftwm/Makefile
  head/x11-wm/metacity/Makefile
  head/x11-wm/mutter/Makefile
Comment 37 Gerald Pfeifer freebsd_committer 2017-09-11 06:39:57 UTC
A big thank you to all who helped with this endeavour!
Comment 38 Raphael Kubo da Costa freebsd_committer 2017-09-11 06:40:57 UTC
It was a fun experience, looking forward to GCC 7 now :-)

(In reply to commit-hook from comment #35)
> A commit references this bug:
> 
> Author: gerald
> Date: Sun Sep 10 20:53:34 UTC 2017
> New revision: 449590
> URL: https://svnweb.freebsd.org/changeset/ports/449590
> 
> Log:
>   Update the default version of GCC (USES_GCC=yes and some others) from
>   GCC 5.4 to GCC 6.4.

Don't you also need to update lang/gcc's version?
Comment 39 commit-hook freebsd_committer 2017-09-11 11:25:01 UTC
A commit references this bug:

Author: gerald
Date: Mon Sep 11 11:24:44 UTC 2017
New revision: 449625
URL: https://svnweb.freebsd.org/changeset/ports/449625

Log:
  Also bump PORTREVISION of lang/gcc which now refers to lang/gcc6 by
  default.

  PR:		219275
  Reported by:	rakuco

Changes:
  head/lang/gcc/Makefile
Comment 40 Gerald Pfeifer freebsd_committer 2017-09-11 11:26:13 UTC
(In reply to Raphael Kubo da Costa from comment #38)
> Don't you also need to update lang/gcc's version?

Very, very true.  Thanks for spotting and reporting this, Raphael!
Comment 41 Jan Beich freebsd_committer 2017-09-11 11:43:50 UTC
lang/gcc version is synthetic. Can you bump PORTVERSION and drop PORTREVISION? Maybe use PORTVERSION=${GCC_DEFAULT} to avoid bumping the next time.
Comment 42 Gerald Pfeifer freebsd_committer 2017-09-11 11:57:02 UTC
(In reply to Jan Beich from comment #41)
> lang/gcc version is synthetic. Can you bump PORTVERSION and drop PORTREVISION?
> Maybe use PORTVERSION=${GCC_DEFAULT} to avoid bumping the next time.

That actually was my plan, alas the update has taken so long that I
forgot my original plan. :(

How about the following?

 PORTNAME=	gcc
-PORTVERSION=	5.4.0
-PORTREVISION=	3
+PORTVERSION=	${GCC_DEFAULT}
 CATEGORIES=	lang java
Comment 43 Jan Beich freebsd_committer 2017-09-11 12:24:56 UTC
(In reply to Gerald Pfeifer from comment #42)
Looks OK.

$ pkg version -t 5.4.0_3 6
<
Comment 44 commit-hook freebsd_committer 2017-09-11 14:55:01 UTC
A commit references this bug:

Author: gerald
Date: Mon Sep 11 14:54:13 UTC 2017
New revision: 449652
URL: https://svnweb.freebsd.org/changeset/ports/449652

Log:
  Replace the hard-coded PORTVERSION by GCC_DEFAULT now that we did dump
  the major version (so this does not result in a need for PORTEPOCH).

  PR:		219275
  Reported by:	jbeich

Changes:
  head/lang/gcc/Makefile
Comment 45 Jan Beich freebsd_committer 2017-09-22 01:08:53 UTC
Gerald, can you file a new bug for GCC7 by default? Without an exp-run there's nothing to work on.
Comment 46 Gerald Pfeifer freebsd_committer 2017-09-23 23:04:24 UTC
(In reply to Jan Beich from comment #45)
> Gerald, can you file a new bug for GCC7 by default? Without an
> exp-run there's nothing to work on.

Sure thing!  We've moved from GCC 4.8 to 4.9 to 5 to 6 in less than
12 months now, catching up quite a bit, and GCC 6 will be maintained
upstream for another year, but indeed GCC 7 is the latest stable
release and some Linux distros, for example, have adopted it already.

Let's see what breaks with that in terms of ports. :-/

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=222542 it is.